SHA384 Class Reference

implements the SHA-384 standard More...

Inheritance diagram for SHA384:

## Static Public Member Functions

static void | InitState (HashWordType *state)
static void | Transform (word64 *digest, const word64 *data)
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, SHA384 >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from IteratedHash< word64, BigEndian, T_BlockSize >
static void | CorrectEndianess (HashWordType *out, const HashWordType *in, size_t byteCount)

## Additional Inherited Members

Public Types inherited from IteratedHash< word64, BigEndian, T_BlockSize >
typedef BigEndian | ByteOrderClass
typedef word64 | HashWordType
Public Types inherited from IteratedHashBase< word64, HashTransformation >
typedef word64 | HashWordType
Public Member Functions inherited from IteratedHashWithStaticTransform< word64, BigEndian, 128, 64, SHA384, 48,(0|0)>
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
Public Member Functions inherited from ClonableImpl< SHA384, AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, SHA384 > >
Clonable * | Clone () const
Public Member Functions inherited from AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, SHA384 >
std::string | AlgorithmName () const
Public Member Functions inherited from IteratedHash< word64, BigEndian, T_BlockSize >
unsigned int | BlockSize () const
ByteOrder | GetByteOrder () const
Public Member Functions inherited from IteratedHashBase< word64, HashTransformation >
unsigned int | OptimalBlockSize () const
unsigned int | OptimalDataAlignment () const
void | Update (const byte *input, size_t length)
byte * | CreateUpdateSpace (size_t &size)
void | Restart ()
void | TruncatedFinal (byte *digest, size_t size)
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object. More...
virtual void | Final (byte *digest)
| Computes the hash of the current message. More...
unsigned int | TagSize () const
| Provides the tag size of the hash. More...
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message. More...
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message. More...
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
Static Public Attributes inherited from IteratedHashWithStaticTransform< word64, BigEndian, 128, 64, SHA384, 48,(0|0)>
static const int | DIGESTSIZE
Static Public Attributes inherited from IteratedHash< word64, BigEndian, T_BlockSize >
static const int | BLOCKSIZE

## Detailed Description

implements the SHA-384 standard

Definition at line 65 of file sha.h.

The documentation for this class was generated from the following files:

- sha.h
- sha.cpp